polybori::groebner::BoundedDivisorsOf Class Reference

This class defines defines a function for computing a bounded variant of `MononmialSet's` `divisorsOf`. More...

`#include <BoundedDivisorsOf.h>`

Inheritance diagram for polybori::groebner::BoundedDivisorsOf:

## Public Member Functions

| BoundedDivisorsOf (const Monomial &term, const MonomialSet &terms)
| Initialize mapping with given parameters. More...
MonomialSet | operator() (const Monomial &t_divided) const
| The actual call. More...

## Detailed Description

This class defines defines a function for computing a bounded variant of `MononmialSet's` `divisorsOf`.

This implements the mapping f: terms -> subsets of T (a set of terms), with t :> {y in T : t divides y, y divides t*t0}

where t0 and T are a term and a set of terms, respectively, given as constructor arguments.

Note
  The operator stored references of t0 and T only.

## Constructor & Destructor Documentation

polybori::groebner::BoundedDivisorsOf::BoundedDivisorsOf | ( | const Monomial & | term,
|  | const MonomialSet & | terms
| ) |  |

inline

Initialize mapping with given parameters.

## Member Function Documentation

MonomialSet polybori::groebner::BoundedDivisorsOf::operator() | ( | const Monomial & | t_divided) |  | const

inline

The actual call.

References polybori::groebner::fixed_path_divisors().

The documentation for this class was generated from the following file:

- BoundedDivisorsOf.h